Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007963 [DCSS] Patches tweak always 2014-01-08 23:44 2014-01-11 11:29
Reporter Cedor View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007963: pickup menu behavior adjustment
Description introduction of a new option (pickup_me_limit) to replace the dispearance of pickup_mode = auto:X.

pickup_menu = false is now like the old pickup_mode = auto:4, the number can be tweaked with the pickup_me_limit option. We don't think people WANT to be prompted for a long pile of items.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Menu-for-pickup-new-option-pickup_menu_limit.patch [^] (4,974 bytes) 2014-01-08 23:44 [Show Content]
? file icon 0001-Menu-for-pickup-new-option-pickup_menu_limit(updated).patch [^] (5,235 bytes) 2014-01-09 19:42 [Show Content]
? file icon 0001-Menu-for-pickup-new-option-pickup_menu_limit(upcorr).patch [^] (5,197 bytes) 2014-01-09 22:26 [Show Content]

- Relationships

-  Notes
(0024950)
Cedor (reporter)
2014-01-09 19:43

updated to include use of item_stack_summary_minimum.
(0024952)
neil (administrator)
2014-01-09 20:42

I see a few (minor) problems with the updated version of the patch:

1. One line in options.h ends in whitespace, as do two lines of options_guide.txt. ./util/checkwhite will fix options.h but not options_guide.txt

2. The documentation refers to pick_menu_limit rather than pickup_menu_limit in a few places.

3. The behaviour of pickup_menu_limit = -1 depends on whether it comes before or after the player sets item_stack_summary_minimum. I would instead check for a negative value when you use the option (pickup() in items.cc). That way it will use the current run-time value of i_s_s_m rather than whatever was in effect when p_m_l was set.
(0024957)
neil (administrator)
2014-01-10 04:55

In trunk (0.14-a0-1836-gcabd7f2), thanks! I made a few minor changes (using INT_OPTION_NAMED and fixing the parentheses and formatting in the code in pickup()). I also added another commit (0.14-a0-1837-g7fb8695) to make pickup_menu_limit = 0 never use the menu, in case someone really wants that behaviour (sure, they could use 32768, but that's ugly).

- Issue History
Date Modified Username Field Change
2014-01-08 23:44 Cedor New Issue
2014-01-08 23:44 Cedor File Added: 0001-Menu-for-pickup-new-option-pickup_menu_limit.patch
2014-01-09 19:42 Cedor File Added: 0001-Menu-for-pickup-new-option-pickup_menu_limit(updated).patch
2014-01-09 19:43 Cedor Note Added: 0024950
2014-01-09 20:42 neil Note Added: 0024952
2014-01-09 22:26 Cedor File Added: 0001-Menu-for-pickup-new-option-pickup_menu_limit(upcorr).patch
2014-01-10 04:55 neil Note Added: 0024957
2014-01-10 04:55 neil Status new => resolved
2014-01-10 04:55 neil Fixed in Branch => 0.14 development branch
2014-01-10 04:55 neil Resolution open => done
2014-01-10 04:55 neil Assigned To => neil
2014-01-11 11:29 Cedor Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker